Package helma.framework

# Class RedirectException

java.lang.Object
java.lang.Throwable
java.lang.Error
helma.framework.RedirectException

All Implemented Interfaces:
  `Serializable`

public class RedirectException extends Error
RedirectException is thrown internally when a response is redirected to a new URL. Although this is not an Error, it subclasses java.lang.Error because it's not meant to be caught by application code (similar to java.lang.ThreadDeath).

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RedirectException(String url)`
Creates a new RedirectException object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getUrl()`
Return the URL to redirect to.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RedirectException

public RedirectException(String url)
Creates a new RedirectException object.

Parameters:
  `url` - the URL

## Method Details

### getUrl

public String getUrl()
Return the URL to redirect to.

Returns:
  the URL